package com.artfess.cqlt.dao;

import com.artfess.cqlt.model.QfOperationKpiD;
import com.artfess.cqlt.model.QfOperationKpiM;
import com.artfess.cqlt.vo.FaReportRespVo;
import com.artfess.cqlt.vo.ReportReqVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 运营--KPI数据填报主表 Mapper 接口
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-14
 */
public interface QfOperationKpiMDao extends BaseMapper<QfOperationKpiM> {

    List<QfOperationKpiD> data(@Param("vo") ReportReqVo t);

    List<QfOperationKpiD> monthData(@Param("vo") ReportReqVo t);

    List<QfOperationKpiD> quarterData(@Param("vo") ReportReqVo t);

    List<QfOperationKpiD> yearData(@Param("vo") ReportReqVo t);

    List<QfOperationKpiD> enterpriseData(@Param("vo") ReportReqVo t);
}
